< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package test
  Definition Classes
    mongo
- CleanMongoCollectionSupport
- DefaultPlayMongoRepositorySupport
- IndexedMongoQueriesSupport
- MongoSupport
- PlayMongoRepositorySupport

t

uk.gov.hmrc.mongo.test

# CleanMongoCollectionSupport 

###

#### trait CleanMongoCollectionSupport extends MongoSupport with BeforeAndAfterEach

Calls prepareDatabase before each test, ensuring a clean database

Self Type
  CleanMongoCollectionSupport with TestSuite

Linear Supertypes
BeforeAndAfterEach, SuiteMixin, MongoSupport, ScalaFutures, Futures, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
Known Subclasses
DefaultPlayMongoRepositorySupport
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CleanMongoCollectionSupport
2. BeforeAndAfterEach
3. SuiteMixin
4. MongoSupport
5. ScalaFutures
6. Futures
7. PatienceConfiguration
8. AbstractPatienceConfiguration
9. ScaledTimeSpans
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait FutureConcept[T] extends AnyRef
   Definition Classes
     Futures
2.  final case class PatienceConfig extends Product with Serializable
   Definition Classes
     AbstractPatienceConfiguration

### Abstract Value Members

1.  abstract def expectedTestCount(filter: Filter): Int
   Definition Classes
     SuiteMixin
2.  abstract def nestedSuites: IndexedSeq[Suite]
   Definition Classes
     SuiteMixin
3.  abstract def rerunner: Option[String]
   Definition Classes
     SuiteMixin
4.  abstract def run(testName: Option[String], args: Args): Status
   Definition Classes
     SuiteMixin
5.  abstract def runNestedSuites(args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
6.  abstract def runTests(testName: Option[String], args: Args): Status
   Attributes
     protected
   Definition Classes
     SuiteMixin
7.  abstract val styleName: String
   Definition Classes
     SuiteMixin
8.  abstract def suiteId: String
   Definition Classes
     SuiteMixin
9.  abstract def suiteName: String
   Definition Classes
     SuiteMixin
10.  abstract def tags: Map[String, Set[String]]
    Definition Classes
      SuiteMixin
11.  abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData
    Definition Classes
      SuiteMixin
12.  abstract def testNames: Set[String]
    Definition Classes
      SuiteMixin

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def afterEach(): Unit
   Attributes
     protected
   Definition Classes
     CleanMongoCollectionSupport → BeforeAndAfterEach
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def beforeEach(): Unit
   Attributes
     protected
   Definition Classes
     CleanMongoCollectionSupport → BeforeAndAfterEach
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  implicit def convertScalaFuture[T](scalaFuture: Future[T]): (CleanMongoCollectionSupport.this)#FutureConcept[T]
   Definition Classes
     ScalaFutures
9.  def databaseName: String
   Attributes
     protected
   Definition Classes
     MongoSupport
10.  def dropDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoSupport
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def interval(value: Span): Interval
    Definition Classes
      PatienceConfiguration
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  lazy val mongoClient: MongoClient
    Attributes
      protected
    Definition Classes
      MongoSupport
19.  lazy val mongoComponent: MongoComponent
    Attributes
      protected
    Definition Classes
      MongoSupport
20.  lazy val mongoDatabase: MongoDatabase
    Attributes
      protected
    Definition Classes
      MongoSupport
21.  def mongoUri: String
    Attributes
      protected
    Definition Classes
      MongoSupport
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  implicit def patienceConfig: (CleanMongoCollectionSupport.this)#PatienceConfig
    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration
26.  def prepareDatabase(): Unit
    Attributes
      protected
    Definition Classes
      MongoSupport
27.  def runTest(testName: String, args: Args): Status
    Attributes
      protected
    Definition Classes
      BeforeAndAfterEach → SuiteMixin
28.  final def scaled(span: Span): Span
    Definition Classes
      ScaledTimeSpans
29.  def spanScaleFactor: Double
    Definition Classes
      ScaledTimeSpans
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def timeout(value: Span): Timeout
    Definition Classes
      PatienceConfiguration
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  def updateIndexPreference(requireIndexedQuery: Boolean): Future[Boolean]

    Note, this changes the notablescan option, which is a global server config.

    Note, this changes the notablescan option, which is a global server config. If tests set this to different values, ensure they are not run in parallel.

    Attributes
      protected
    Definition Classes
      MongoSupport
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
37.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T])(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
38.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T], interval: Interval)(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
39.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout)(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures
40.  final def whenReady[T, U](future: (CleanMongoCollectionSupport.this)#FutureConcept[T], timeout: Timeout, interval: Interval)(fun: (T) ⇒ U)(implicit config: (CleanMongoCollectionSupport.this)#PatienceConfig, pos: Position): U
    Definition Classes
      Futures

### Inherited from BeforeAndAfterEach

### Inherited from SuiteMixin

### Inherited from MongoSupport

### Inherited from ScalaFutures

### Inherited from Futures

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped